#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0xc8e5f6a2, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0x5cd05d90, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0x0b2310aa, "_gpl");
SYMBOL_CRC(ip_set_free, 0x397f6231, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0xa293f8a6, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0x9e98722b, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0x10237eda, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0xc4148ef3, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0xa992ed16, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0x26f927f3, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0x039fe020, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0x64f8ff2a, "_gpl");
SYMBOL_CRC(ip_set_test, 0x9c85766c, "_gpl");
SYMBOL_CRC(ip_set_add, 0xc7c46e25, "_gpl");
SYMBOL_CRC(ip_set_del, 0x773d925a, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0x0381bd0c, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0x5825118e, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0xd1f6fa61, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0x8b05e514, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0xad739c2b, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0x1ccb0a98, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0x9f48613a, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0xc7dc4a50, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0x81fff2d1, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0x7924b6de, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x22d966c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4fa5c37, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x55d7955c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfba2649f, "skb_copy_bits" },
	{ 0x6e23c20f, "__nlmsg_put" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf8c501f3, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xcc461458, "nfnetlink_subsys_register" },
	{ 0x66f20477, "netlink_ack" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb474455c, "register_pernet_subsys" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2208a19b, "nf_unregister_sockopt" },
	{ 0x8b8eb40d, "ipv6_skip_exthdr" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x74522969, "__alloc_skb" },
	{ 0x169b66b2, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x16fffc10, "sk_skb_reason_drop" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xca52f52e, "nfnetlink_unicast" },
	{ 0x672144bd, "strlcpy" },
	{ 0x85abc85f, "strncmp" },
	{ 0xf00a075f, "nla_put" },
	{ 0xad4aee39, "strncpy" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6fce1cad, "unregister_pernet_subsys" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xbda210f9, "nfnetlink_subsys_unregister" },
	{ 0x4701821a, "skb_trim" },
	{ 0xe798236d, "jiffies" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeb723a89, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x726326f4, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xcf8c025f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbded9ad2, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "39AF1558060AD3C0402FF12");
MODULE_INFO(rhelversion, "9.6");
