#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x231c5da2, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0xd2f6c136, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x2d16cbc5, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xe2c3d879, "");
SYMBOL_CRC(mpt_halt_firmware, 0xd852d430, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x4eb149ab, "");
SYMBOL_CRC(mpt_attach, 0x16b189a4, "");
SYMBOL_CRC(mpt_detach, 0x5d7ddc36, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0xf7a9c203, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xdeb6fe67, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x75e4cec4, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x2fb9bf5e, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x8e7a2810, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x0a0f4703, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x1d62493d, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xaecaedca, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x957d946f, "");
SYMBOL_CRC(mpt_verify_adapter, 0x277c66d7, "");
SYMBOL_CRC(mpt_GetIocState, 0xc51a030c, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x11803557, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x1d658d99, "");
SYMBOL_CRC(mpt_config, 0xc5e98ed6, "");
SYMBOL_CRC(mpt_findImVolumes, 0x00628b5c, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x821404ae, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x83a9ff47, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x04ab490d, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0xdab8ed8c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x672144bd, "strlcpy" },
	{ 0x92997ed8, "_printk" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xad923548, "seq_printf" },
	{ 0x3ea139bd, "pci_stop_and_remove_bus_device_locked" },
	{ 0x195f9af9, "dma_free_attrs" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xa07b7cdf, "pci_select_bars" },
	{ 0xad17cff8, "pci_enable_device_mem" },
	{ 0xe0bbde3f, "pci_request_selected_regions" },
	{ 0xa203cc9a, "dma_get_required_mask" },
	{ 0x993805a5, "dma_set_mask" },
	{ 0xf9c9c654, "dma_set_coherent_mask" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x62536579, "pci_disable_device" },
	{ 0xc09550bb, "pci_release_selected_regions" },
	{ 0xe6da1dcc, "pci_get_slot" },
	{ 0x11e5cf09, "pci_dev_put" },
	{ 0x98de1c15, "snprintf" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x377e0e52, "remove_proc_entry" },
	{ 0xaca0aef0, "complete" },
	{ 0x61bb7036, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe641b8d8, "dma_alloc_attrs" },
	{ 0x20dc747c, "seq_putc" },
	{ 0x86245dbc, "proc_mkdir" },
	{ 0x9d8bf072, "proc_create_single_data" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf1e046cc, "panic" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe798236d, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd0d4fa7d, "pci_read_config_word" },
	{ 0xa1e514ed, "pci_write_config_word" },
	{ 0xf6652584, "pci_enable_device" },
	{ 0x2a57e885, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3ab0b122, "pci_set_master" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4610d20e, "pci_disable_msi" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xcf8c025f, "kmalloc_caches" },
	{ 0xeb723a89, "kmalloc_trace" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x911c4881, "kthread_create_on_node" },
	{ 0x57b55324, "wake_up_process" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x29f189a8, "pci_read_config_byte" },
	{ 0x7eac4ff0, "pci_write_config_byte" },
	{ 0xedc03953, "iounmap" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xc39fc35c, "param_get_int" },
	{ 0x726326f4, "param_ops_int" },
	{ 0xbded9ad2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7828C1D34E9186E8929583F");
MODULE_INFO(rhelversion, "9.6");
