#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x72270f76, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0xa780da11, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x9bca5989, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0xf528635a, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x9654c3ad, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0xc84322a7, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0xd5287ebb, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x7164ad5a, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x99c370ea, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xb972842e, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xbf0ff768, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xba7ffeec, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x331093ae, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x1b598d3c, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x5570f87b, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xa6d7ad37, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x6f79298c, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x29f3b2a2, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xa8bc4cbe, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xc4e154c5, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0xd609b788, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x89002ac3, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x234a8277, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x444eb2ea, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xc523f7f5, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xc50687ae, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x3655951c, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x128390cd, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xecc7d32a, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x1f26621f, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x7d6a2e14, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x294a005c, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x496c871f, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xd9e2bacc, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x0e783511, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xbc6dac3c, "");
SYMBOL_CRC(mlx4_test_async, 0x4c5eab9a, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x2c76c544, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x142c1e66, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x29f8e061, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xa05183e8, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x52739d60, "");
SYMBOL_CRC(mlx4_assign_eq, 0x69d731e2, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x528e1859, "");
SYMBOL_CRC(mlx4_release_eq, 0xe8d7235c, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x28aac366, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xb1aa54f9, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x51655a2c, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x68a6e0d0, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x0ff031eb, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x5287dc3e, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x2f38ae8b, "");
SYMBOL_CRC(mlx4_wol_read, 0xbf1d3302, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0xe9302b37, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0xa426ddb1, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x2296d8d2, "");
SYMBOL_CRC(set_phv_bit, 0x7bddda90, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xa7d62f8d, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x88332dcd, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x714898af, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x722bad9a, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xf8216d48, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x35e88519, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xba71ba88, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x4152c820, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0xd43e7482, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x5ebdd2f0, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x7ff6fa9e, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x2ff2ebb0, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x9797c401, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x27c2ea5f, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xc85a5b6c, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xb440af46, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x351c88a3, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x88b3b61a, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xc49c0020, "");
SYMBOL_CRC(mlx4_read_clock, 0xd6ca9c2d, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xc21d314d, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x917246e6, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x364799a7, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x9695cf1b, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x76359aca, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x033021a8, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xdd075da2, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0xe06436fb, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x103f50e0, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0xfa040801, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x543fbb30, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x056ef3f4, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x095621a6, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x936a00bf, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0xf19d63f1, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x95d05c0e, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x02610f66, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0xc05046a4, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x86f79509, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xa5e6a913, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x9a2e0c18, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x1439b014, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x120d7c71, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x1d7ade58, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x1c4f94a8, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x3e4c8cf4, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x25d3e10b, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x9588736d, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x7cd81bef, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x878a9ad2, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xd6d66934, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xf93ccfb9, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x0e64dc2c, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x8941ebb2, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x721225d2, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xa80ab658, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x0a0c7700, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x45732477, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x909920b9, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x4bd9fc6d, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x75e87cef, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xa2d3f249, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xd5ad3299, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x1d261361, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xb3d9e652, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x30467709, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xdbb43f9f, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x3fea1555, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x535c868c, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xaf7932b0, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x828bf902, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xc852e78b, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xc282f9e5, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xbd225ad1, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x021baacf, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x112fb891, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x546d0452, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0xb8a63bc8, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x632bbcf3, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x9c4268f6, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x812f3bb0, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x4e7c0d8a, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xd0a9c281, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x5f0c6d8d, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xf9596784, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x4e01daea, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x9517980f, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0xc6812933, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x3fe56be7, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xc9d8bd60, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x1dcb8925, "");
SYMBOL_CRC(mlx4_get_module_info, 0x710a0dad, "");
SYMBOL_CRC(mlx4_max_tc, 0xff06a55b, "");
SYMBOL_CRC(mlx4_put_qp, 0x18f820ab, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xf4591e4a, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x067de7cb, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x934d31f3, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x1cb9554a, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xfea4481d, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xd567345d, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x01bb3417, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x4fdfe9eb, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xcf62cbe6, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xb66e13d5, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xa6864b94, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x4a1aed66, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x887b11b5, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x544035d9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25ee45ba, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbc06b05, "pcie_capability_write_word" },
	{ 0x6b43e09b, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xdf2ed4b8, "devl_region_create" },
	{ 0xa93380d, "devlink_unregister" },
	{ 0xaaa68b4, "dma_pool_create" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xf6652584, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdcabc124, "auxiliary_device_init" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xab9e27f2, "devlink_region_snapshot_id_get" },
	{ 0xf63637cf, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x9d8ef2b0, "__pci_register_driver" },
	{ 0xd566933c, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0xaeea084, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xac826002, "param_array_ops" },
	{ 0x50e6de5a, "pci_request_regions" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76870032, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x621220ba, "pci_sriov_get_totalvfs" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x76fdccb8, "devlink_register" },
	{ 0xa77a3d2d, "devlink_port_type_clear" },
	{ 0xbbcc8095, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x64de7f11, "param_ops_byte" },
	{ 0xc4342b51, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x49672828, "node_states" },
	{ 0x6c085c4d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xf7b53455, "pci_read_config_dword" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x1308a497, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x124f4fdc, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x725e32f3, "priv_to_devlink" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x54af2af4, "put_device" },
	{ 0x5fbe04f8, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa66f925b, "kmalloc_node_trace" },
	{ 0x2af3dae7, "__free_pages" },
	{ 0x2106f350, "_dev_info" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0xd443075b, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0xcf57f94d, "__dma_sync_single_for_cpu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xc0989ee9, "_dev_err" },
	{ 0xf6da5878, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x597e4e4c, "__auxiliary_device_add" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x81b433f2, "down" },
	{ 0x4f10bf01, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe641b8d8, "dma_alloc_attrs" },
	{ 0xd0d4fa7d, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xf15eb479, "devl_params_register" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x4f10b3f1, "pci_restore_state" },
	{ 0xd9684d9c, "device_del" },
	{ 0x24d277cf, "devl_param_driverinit_value_set" },
	{ 0x642cd63f, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x7ffa84ea, "__alloc_pages" },
	{ 0x3ab0b122, "pci_set_master" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0xa1b9b550, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x103bafd6, "down_read" },
	{ 0x5d5945bf, "devl_unlock" },
	{ 0xe798236d, "jiffies" },
	{ 0xf9c9c654, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x195f9af9, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd01d808a, "param_ops_bool" },
	{ 0x2bc55bff, "pci_release_regions" },
	{ 0x7b48f593, "__dma_sync_single_for_device" },
	{ 0xede59bab, "devl_assert_locked" },
	{ 0x718e33e1, "pcie_print_link_status" },
	{ 0x5020c919, "alloc_pages" },
	{ 0xf897172b, "devl_port_unregister" },
	{ 0x38b8c5e8, "devl_param_driverinit_value_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x23e6e145, "devlink_priv" },
	{ 0xeb0b78cf, "pci_disable_sriov" },
	{ 0x2a20de1c, "pci_disable_msix" },
	{ 0x62536579, "pci_disable_device" },
	{ 0x63d18591, "dev_printk" },
	{ 0x993805a5, "dma_set_mask" },
	{ 0xf8dc20d8, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x68944041, "dma_unmap_sg_attrs" },
	{ 0xeb723a89, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x726326f4, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x7b36149f, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd77e23ee, "pci_write_config_dword" },
	{ 0xcf8c025f, "kmalloc_caches" },
	{ 0xd62ca02c, "device_remove_file" },
	{ 0xec1ccd8b, "dma_map_sg_attrs" },
	{ 0x364b4601, "devl_param_value_changed" },
	{ 0xbded9ad2, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8A586B3738EC4CE53A82327");
MODULE_INFO(rhelversion, "9.6");
