#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xcffda004, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x2d41e75a, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x5441e66e, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x705d6601, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x0c580292, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6903f024, "__do_once_done" },
	{ 0x20fca463, "ip6_route_input_lookup" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x30435cf4, "dev_pre_changeaddr_notify" },
	{ 0xe77db42e, "dev_mc_sync" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x382a6290, "netdev_is_rx_handler_busy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1b3bc929, "netdev_update_features" },
	{ 0x2e97a5a3, "consume_skb" },
	{ 0xcbbd0c, "ip6_local_out" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xc71b934d, "dev_uc_sync" },
	{ 0x61601b43, "rtnl_link_register" },
	{ 0x46562afa, "netif_inherit_tso_max" },
	{ 0x97e4a387, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4ba3056, "ip_route_output_flow" },
	{ 0xd12b6aa9, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x1ff57dab, "dev_uc_unsync" },
	{ 0xb30315a4, "ether_setup" },
	{ 0x9077cb2f, "netdev_err" },
	{ 0x9900970d, "netdev_upper_dev_link" },
	{ 0xb474455c, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xd2e9fc74, "eth_header_parse" },
	{ 0x19f4ca80, "netdev_rx_handler_unregister" },
	{ 0xc6269186, "eth_header_cache_update" },
	{ 0x40c46561, "nf_register_net_hooks" },
	{ 0x50ab1506, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x75f4333f, "ip_route_input_noref" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x672e389c, "__dev_get_by_index" },
	{ 0x965f06a4, "rtnl_link_unregister" },
	{ 0x41c9cb57, "skb_pull" },
	{ 0x16fffc10, "sk_skb_reason_drop" },
	{ 0x779cb929, "netif_stacked_transfer_operstate" },
	{ 0x41fd99b5, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0xb844ab33, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5acb1c0e, "ethtool_op_get_link" },
	{ 0xf89a6c97, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6fce1cad, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x29b4bc5e, "__pskb_pull_tail" },
	{ 0xacd89fe3, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x5427821d, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x95f7ed32, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x26e95ff5, "vlan_vid_add" },
	{ 0xcef4b4e6, "call_netdevice_notifiers" },
	{ 0x284c665e, "vlan_vid_del" },
	{ 0x49a00604, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x10979450, "skb_clone" },
	{ 0xe6f51a58, "dst_release" },
	{ 0x9eb43b72, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x3e0f655e, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xeb723a89, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xf42fd0c2, "dev_mc_unsync" },
	{ 0x29f07290, "dev_change_flags" },
	{  0x8edcc, "netdev_core_stats_inc" },
	{ 0xca73379f, "dev_forward_skb" },
	{ 0xcf8c025f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe874e1ca, "register_netdevice" },
	{ 0xbded9ad2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5CDC37DEDBDDAB8D184AEB3");
MODULE_INFO(rhelversion, "9.6");
