#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x9ebea1ab, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xd2c5631f, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x32fd2780, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x231aa3bd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb30315a4, "ether_setup" },
	{ 0xf89a6c97, "__ethtool_get_link_ksettings" },
	{ 0x11cc83ce, "ethtool_get_ts_info_by_layer" },
	{ 0xf6da5878, "init_net" },
	{ 0x72deba5b, "generic_hwtstamp_set_lower" },
	{ 0x417cfe0e, "generic_hwtstamp_get_lower" },
	{ 0xbfca491, "dev_mc_del" },
	{ 0xdf67f254, "dev_uc_del" },
	{ 0xb7c2a41b, "dev_mc_add_excl" },
	{ 0x6c43c4c4, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x515d6e4e, "__netpoll_free" },
	{ 0xcf8c025f, "kmalloc_caches" },
	{ 0xeb723a89, "kmalloc_trace" },
	{ 0x284c665e, "vlan_vid_del" },
	{ 0x26e95ff5, "vlan_vid_add" },
	{ 0x49a00604, "dev_set_allmulti" },
	{ 0x9e5b7185, "dev_set_promiscuity" },
	{ 0x1ff57dab, "dev_uc_unsync" },
	{ 0xf42fd0c2, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19f4ca80, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x16fffc10, "sk_skb_reason_drop" },
	{ 0x236c8c64, "memcpy" },
	{ 0xa7c2dc1b, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x61601b43, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x965f06a4, "rtnl_link_unregister" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0930ab4, "__netpoll_setup" },
	{ 0x99a0c74b, "dev_uc_add" },
	{ 0xcef4b4e6, "call_netdevice_notifiers" },
	{ 0x46562afa, "netif_inherit_tso_max" },
	{ 0x1b3bc929, "netdev_update_features" },
	{ 0x779cb929, "netif_stacked_transfer_operstate" },
	{ 0x6c4adec7, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd12b6aa9, "unregister_netdevice_queue" },
	{ 0x41fd99b5, "netdev_upper_dev_unlink" },
	{ 0x672e389c, "__dev_get_by_index" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x382a6290, "netdev_is_rx_handler_busy" },
	{ 0x9eb43b72, "netdev_rx_handler_register" },
	{ 0xe874e1ca, "register_netdevice" },
	{ 0x9900970d, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x92baa7b8, "linkwatch_fire_event" },
	{ 0xc71b934d, "dev_uc_sync" },
	{ 0xe77db42e, "dev_mc_sync" },
	{ 0xacd89fe3, "netif_rx" },
	{ 0x10979450, "skb_clone" },
	{ 0xc835340e, "__dev_forward_skb" },
	{ 0x95f7ed32, "__dev_queue_xmit" },
	{ 0xca73379f, "dev_forward_skb" },
	{ 0x5d7d520f, "netpoll_send_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2e97a5a3, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xd52abc81, "__netif_rx" },
	{ 0xdaa042b9, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{  0x8edcc, "netdev_core_stats_inc" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x2f22ec42, "passthru_features_check" },
	{ 0xe01cf43, "eth_validate_addr" },
	{ 0xe76c2816, "ndo_dflt_fdb_dump" },
	{ 0xd2e9fc74, "eth_header_parse" },
	{ 0x97e4a387, "eth_header_cache" },
	{ 0xc6269186, "eth_header_cache_update" },
	{ 0x5acb1c0e, "ethtool_op_get_link" },
	{ 0xbded9ad2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "569F704A151561BFF5517F2");
MODULE_INFO(rhelversion, "9.6");
