#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0x90c3f568, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0xe2d3e255, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0xc34eda8b, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0x58b7eb1a, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0xa35ab2be, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0xf293651f, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0xd84030ca, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0xf3c0bd50, "_gpl");
SYMBOL_CRC(qeth_xmit, 0xd1d7120f, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0x700034b8, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0x59e9b550, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0x21c8cca8, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0xcb2ae0e3, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0xacca1064, "_gpl");
SYMBOL_CRC(qeth_poll, 0xa0d9567f, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0x04b4c383, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0xddb94e65, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0x42aa561a, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0x5415b863, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0xfbe07b6f, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0x5c3c42b6, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0xa0d76303, "_gpl");
SYMBOL_CRC(qeth_set_features, 0xbef6280e, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0xda837033, "_gpl");
SYMBOL_CRC(qeth_features_check, 0xaa59add3, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0xf1a0e887, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0x3c38d643, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0x5f6a0e2e, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0xb2cf6e9e, "_gpl");
SYMBOL_CRC(qeth_open, 0xe15f6c4f, "_gpl");
SYMBOL_CRC(qeth_stop, 0x7e4a42fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31ad3a4b, "ccw_device_get_cssid" },
	{ 0xc11051e8, "napi_alloc_skb" },
	{ 0xa1318d38, "alloc_etherdev_mqs" },
	{ 0x6f4d3f28, "ccw_device_halt" },
	{ 0x914937ab, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0xaa39c3f1, "qdio_shutdown" },
	{ 0x6738bf08, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3e526cfb, "ccwgroup_set_offline" },
	{ 0x6b43e09b, "vmemmap" },
	{ 0x4cd1ba9f, "ccw_device_get_chid" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xfba2649f, "skb_copy_bits" },
	{ 0x2ed45ee2, "qdio_allocate" },
	{ 0x3bce35, "qdio_inspect_output_queue" },
	{ 0x4058725c, "skb_put" },
	{ 0x1673d1d8, "skb_tstamp_tx" },
	{ 0x1b3bc929, "netdev_update_features" },
	{ 0x2e97a5a3, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x29f79c60, "netif_napi_add_weight" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x349eedc1, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xafa21b31, "skb_add_rx_frag" },
	{ 0x9650aaf5, "debug_set_level" },
	{ 0x48570d28, "register_service_level" },
	{ 0x206cc561, "debug_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0xd38211f7, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xdf566b2a, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd807c6b2, "qdio_add_bufs_to_output_queue" },
	{ 0xbb79116f, "__netif_napi_del" },
	{ 0x50524e09, "kmem_cache_create" },
	{ 0xc4342b51, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0xb30315a4, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x699e32a2, "qdio_get_ssqd_desc" },
	{ 0x301afcb5, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f447596, "pskb_expand_head" },
	{ 0x57b55324, "wake_up_process" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x5e3242dc, "eth_type_trans" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xe9464c27, "napi_complete_done" },
	{ 0x1709bc27, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x5784d95d, "unregister_service_level" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xe6dee5f6, "qdio_inspect_input_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x54af2af4, "put_device" },
	{ 0xbb7d9dd3, "__napi_schedule" },
	{ 0x3277712, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe695eb3, "netif_device_detach" },
	{ 0x2af3dae7, "__free_pages" },
	{ 0x4fa0efb8, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x2106f350, "_dev_info" },
	{ 0xbfd9668a, "napi_gro_receive" },
	{ 0xab9a991b, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xad0b979a, "ccwgroup_probe_ccwdev" },
	{ 0x2524dec9, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc0989ee9, "_dev_err" },
	{ 0x4e9afec5, "softnet_data" },
	{ 0xaea97a9c, "ccw_device_get_id" },
	{ 0x99a9013, "__root_device_register" },
	{ 0x554ffdcd, "ccw_device_get_ciw" },
	{ 0x14906cba, "netif_set_real_num_tx_queues" },
	{ 0x16fffc10, "sk_skb_reason_drop" },
	{ 0xb4a3310f, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xdf9d7d91, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5272eb03, "skb_push" },
	{ 0x4a6129d3, "kmem_cache_free" },
	{ 0xd04bfa08, "ccwgroup_driver_register" },
	{ 0xb3d95797, "debugfs_remove" },
	{ 0xc534873d, "napi_enable" },
	{ 0xb8abc76b, "free_netdev" },
	{ 0x43cf3bc3, "dql_completed" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb0c93ed4, "__debug_sprintf_event" },
	{ 0x5acb1c0e, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xd7088ed3, "netif_tx_stop_all_queues" },
	{ 0x6d8f56a1, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x1b57847c, "ccw_device_set_offline" },
	{ 0x642cd63f, "_dev_warn" },
	{ 0xf99df900, "ccw_driver_register" },
	{ 0x77714b3, "netif_schedule_queue" },
	{ 0x7ffa84ea, "__alloc_pages" },
	{ 0x1f9fb54a, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0xda0e8091, "netdev_set_tc_queue" },
	{ 0x53b0188d, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x29b4bc5e, "__pskb_pull_tail" },
	{ 0xd88e606c, "__netdev_alloc_skb" },
	{ 0xe798236d, "jiffies" },
	{ 0x911c4881, "kthread_create_on_node" },
	{ 0xecc61771, "debug_hex_ascii_view" },
	{ 0xbc90502b, "debug_unregister" },
	{ 0x59fb8b24, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0x432010b2, "ccwgroup_driver_unregister" },
	{ 0xe6290ce9, "ccwgroup_remove_ccwdev" },
	{ 0x3952e90, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x78e132ed, "ccw_device_get_iid" },
	{ 0xa1cb8efa, "debug_event_common" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5c623c87, "netif_carrier_off" },
	{ 0xad923548, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf3f962bb, "ccw_device_set_online" },
	{ 0x3558aa68, "netdev_set_num_tc" },
	{ 0x60cc8303, "kobject_uevent" },
	{ 0xe6f1486d, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb95788f, "single_release" },
	{ 0xe401e903, "qdio_add_bufs_to_input_queue" },
	{ 0xeb723a89, "kmalloc_trace" },
	{ 0xdcc1a4bd, "__napi_schedule_irqoff" },
	{ 0xaec698ee, "napi_schedule_prep" },
	{ 0x9e809f17, "napi_consume_skb" },
	{ 0x6436fc49, "debug_sprintf_view" },
	{ 0x870918d, "qdio_stop_irq" },
	{ 0x93188544, "napi_disable" },
	{ 0x9f6fcaa8, "qdio_free" },
	{ 0x8ac9482f, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xaf886ebe, "debugfs_create_dir" },
	{ 0x443f7503, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0x26bbe3b7, "ccw_driver_unregister" },
	{ 0xde80d0dd, "skb_clone_tx_timestamp" },
	{ 0x85629172, "qdio_activate" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x3ad215ce, "ethtool_op_get_ts_info" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xcf8c025f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3bbabac1, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbded9ad2, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "FBC9028ACD69E705172FA0A");
MODULE_INFO(rhelversion, "9.6");
