#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0xaaec25e1, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0xce31f815, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x8daf19bc, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x32dbcf68, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x6d803d4d, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x225e1b8f, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x6bf28a65, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x47978d2b, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x7c14a637, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x9c209020, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x6ff0519a, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0xb5db9114, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x21bcfe0c, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x6800d8f4, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x22643295, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x725026ef, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x583b0ff0, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x6035a560, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x350cf10e, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x7951483c, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0x44840981, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0xf52c693d, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x9ada4d59, "");
SYMBOL_CRC(fcoe_transport_detach, 0xf325eed0, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0xb7bbe59a, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x1365730f, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0xfd3b803f, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0xf5ab220b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50eb4e60, "fc_rport_lookup" },
	{ 0x335ad04c, "dev_get_stats" },
	{ 0x6b43e09b, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa46f66aa, "param_ops_uint" },
	{ 0x4058725c, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5a4df773, "dev_set_name" },
	{ 0x2e97a5a3, "consume_skb" },
	{ 0x5dcb2429, "fc_lport_init" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x593f35e8, "device_unregister" },
	{ 0xf2a58535, "skb_dequeue" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa4b31fa, "fc_rport_logoff" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4853a109, "fc_disc_init" },
	{ 0x52baa231, "fc_rport_login" },
	{ 0x84071c9c, "skb_queue_purge_reason" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xc940e8cd, "fc_linkdown" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xa624b38e, "skb_queue_tail" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6d4db213, "fc_lport_reset" },
	{ 0x8eb4e0cf, "bus_unregister" },
	{ 0xf6da5878, "init_net" },
	{ 0x41c9cb57, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x16fffc10, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5272eb03, "skb_push" },
	{ 0xad4aee39, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xf6ad5b6e, "fc_lport_set_local_id" },
	{ 0x6bc7fac7, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf89a6c97, "__ethtool_get_link_ksettings" },
	{ 0x93858672, "device_register" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x73e4d59, "fc_vport_id_lookup" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x7e1e5eab, "fc_elsct_init" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3dfba3e8, "fc_disc_config" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x29b4bc5e, "__pskb_pull_tail" },
	{ 0xfb67a2e5, "fc_fcp_init" },
	{ 0xd88e606c, "__netdev_alloc_skb" },
	{ 0x4701821a, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x95f7ed32, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5020c919, "alloc_pages" },
	{ 0x737009ef, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8db57b6c, "dev_get_by_name" },
	{ 0x10979450, "skb_clone" },
	{ 0xaa90bfbc, "fc_seq_els_rsp_send" },
	{ 0x63d18591, "dev_printk" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0xeb723a89, "kmalloc_trace" },
	{ 0x726326f4, "param_ops_int" },
	{ 0xc1893d5, "fc_rport_create" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xcf8c025f, "kmalloc_caches" },
	{ 0x5eafd2d0, "fc_exch_init" },
	{ 0x16ddcd01, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9ec1f6b, "fc_linkup" },
	{ 0xbded9ad2, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "672E5BE3969445545E6F3D5");
MODULE_INFO(rhelversion, "9.6");
