#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(uart_write_wakeup, "", "");
KSYMTAB_FUNC(uart_update_timeout, "", "");
KSYMTAB_FUNC(uart_get_baud_rate, "", "");
KSYMTAB_FUNC(uart_get_divisor, "", "");
KSYMTAB_FUNC(uart_xchar_out, "_gpl", "");
KSYMTAB_FUNC(uart_suspend_port, "", "");
KSYMTAB_FUNC(uart_resume_port, "", "");
KSYMTAB_FUNC(uart_register_driver, "", "");
KSYMTAB_FUNC(uart_unregister_driver, "", "");
KSYMTAB_FUNC(uart_console_device, "_gpl", "");
KSYMTAB_FUNC(uart_match_port, "", "");
KSYMTAB_FUNC(uart_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(uart_handle_cts_change, "_gpl", "");
KSYMTAB_FUNC(uart_insert_char, "_gpl", "");
KSYMTAB_FUNC(uart_try_toggle_sysrq, "_gpl", "");
KSYMTAB_FUNC(uart_get_rs485_mode, "_gpl", "");
KSYMTAB_FUNC(uart_add_one_port, "", "");
KSYMTAB_FUNC(uart_remove_one_port, "", "");

SYMBOL_CRC(uart_write_wakeup, 0x29fb7266, "");
SYMBOL_CRC(uart_update_timeout, 0xec82d68a, "");
SYMBOL_CRC(uart_get_baud_rate, 0x2f05c034, "");
SYMBOL_CRC(uart_get_divisor, 0x9d86a066, "");
SYMBOL_CRC(uart_xchar_out, 0xbb5414ae, "_gpl");
SYMBOL_CRC(uart_suspend_port, 0xb6863835, "");
SYMBOL_CRC(uart_resume_port, 0x953b5050, "");
SYMBOL_CRC(uart_register_driver, 0x7784696b, "");
SYMBOL_CRC(uart_unregister_driver, 0x330e1b09, "");
SYMBOL_CRC(uart_console_device, 0x997b936d, "_gpl");
SYMBOL_CRC(uart_match_port, 0x698b5ed0, "");
SYMBOL_CRC(uart_handle_dcd_change, 0xcf128c8c, "_gpl");
SYMBOL_CRC(uart_handle_cts_change, 0xad3ecd33, "_gpl");
SYMBOL_CRC(uart_insert_char, 0xed2b14da, "_gpl");
SYMBOL_CRC(uart_try_toggle_sysrq, 0x0a2f1f3e, "_gpl");
SYMBOL_CRC(uart_get_rs485_mode, 0x26c6fa23, "_gpl");
SYMBOL_CRC(uart_add_one_port, 0x7794313a, "");
SYMBOL_CRC(uart_remove_one_port, 0x088966e9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x7534df56, "device_property_present" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5a4df773, "dev_set_name" },
	{ 0xf25d97fb, "tty_port_tty_set" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1a9db1e8, "tty_kref_put" },
	{ 0xfcaad140, "device_initialize" },
	{ 0x236c8c64, "memcpy" },
	{ 0x4e51a381, "tty_port_link_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x6d76de41, "__tty_alloc_driver" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xc92e7db1, "tty_standard_install" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9c11f87d, "tty_hangup" },
	{ 0xad2f3b09, "tty_unregister_driver" },
	{ 0x67ece739, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x54af2af4, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc1caae87, "device_property_read_u32_array" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x1687ec20, "tty_get_frame_size" },
	{ 0x91f4d6a1, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0x46fd1c00, "tty_port_tty_wakeup" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x404ad846, "_dev_alert" },
	{ 0x27f938d5, "tty_port_unregister_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8eb4e0cf, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xc0989ee9, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0xcde8cfca, "device_add" },
	{ 0xebf03fa4, "tty_ldisc_ref" },
	{ 0x7415a3b9, "tty_vhangup" },
	{ 0xd6fd845, "irq_get_irq_data" },
	{ 0xc8bdd358, "__tty_insert_flip_string_flags" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xc0fd6739, "tty_port_destroy" },
	{ 0xb39d01f3, "tty_port_init" },
	{ 0x85abc85f, "strncmp" },
	{ 0x20dc747c, "seq_putc" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x1770b20d, "driver_unregister" },
	{ 0x8b314677, "tty_ldisc_deref" },
	{ 0xd038a5dd, "device_find_child" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd9684d9c, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x841b9b02, "tty_port_register_device_attr_serdev" },
	{ 0xedebf913, "tty_port_close" },
	{ 0x642cd63f, "_dev_warn" },
	{ 0xb24a58e, "nbcon_release" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb254847b, "_dev_notice" },
	{ 0xbba93769, "nbcon_acquire" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x597107a, "tty_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x97eefed6, "tty_name" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad923548, "seq_printf" },
	{ 0x355e596e, "tty_port_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xf72971c5, "seq_puts" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x14d7477f, "console_list_unlock" },
	{ 0xfd39c40, "register_console" },
	{ 0xeb723a89, "kmalloc_trace" },
	{ 0xcdca3691, "nr_irqs" },
	{ 0x6f14e9db, "console_list_lock" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xc70b64e6, "driver_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8214d8e7, "tty_driver_kref_put" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xcf8c025f, "kmalloc_caches" },
	{ 0x16ddcd01, "bus_register" },
	{ 0xfa470044, "tty_port_tty_get" },
	{ 0xbded9ad2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6EC8DCB84A1B5E5208C3345");
MODULE_INFO(rhelversion, "9.6");
