#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0xd9765b80, "");
SYMBOL_CRC(deregister_atm_ioctl, 0x89f5ab9a, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x3a1e9a8b, "");
SYMBOL_CRC(vcc_insert_socket, 0xb8ce4a85, "");
SYMBOL_CRC(vcc_release_async, 0x4518da04, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x8e79e45d, "");
SYMBOL_CRC(atm_dev_signal_change, 0xc9fbb725, "");
SYMBOL_CRC(atm_dev_release_vccs, 0x76a1a99a, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0xa9adb4bc, "");
SYMBOL_CRC(atm_alloc_charge, 0x61d0f58d, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x85a545c1, "");
SYMBOL_CRC(atm_dev_lookup, 0x0c9fa067, "");
SYMBOL_CRC(atm_dev_register, 0xac01f186, "");
SYMBOL_CRC(atm_dev_deregister, 0x25cbcb59, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x5e4194b4, "skb_free_datagram" },
	{ 0x55d7955c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4058725c, "skb_put" },
	{ 0x5a4df773, "dev_set_name" },
	{ 0x2e97a5a3, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xf2a58535, "skb_dequeue" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xfed4fa18, "proc_create_data" },
	{ 0x798e4d62, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x84071c9c, "skb_queue_purge_reason" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x9efdb2ef, "proto_unregister" },
	{ 0x1000e51, "schedule" },
	{ 0xdb227144, "sock_register" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x54af2af4, "put_device" },
	{ 0x74522969, "__alloc_skb" },
	{ 0xf74663eb, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa624b38e, "skb_queue_tail" },
	{ 0x169b66b2, "module_put" },
	{ 0xf5c8805a, "__sock_recv_ts_and_drops" },
	{ 0xd443075b, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xf6da5878, "init_net" },
	{ 0x16fffc10, "sk_skb_reason_drop" },
	{ 0xc148b493, "noop_llseek" },
	{ 0x3e3b3818, "sk_free" },
	{ 0x2d4a5dff, "sock_wake_async" },
	{ 0x3143878a, "sock_no_accept" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x518b123e, "sock_no_listen" },
	{ 0x20dc747c, "seq_putc" },
	{ 0x7b252ab2, "class_unregister" },
	{ 0x641d7aa2, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x99a64cc3, "skb_copy_datagram_iter" },
	{ 0x5ef3827d, "sk_alloc" },
	{ 0x93858672, "device_register" },
	{ 0xd9684d9c, "device_del" },
	{ 0x809a0d76, "sock_no_socketpair" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x2cff4dce, "sock_no_mmap" },
	{ 0x776319a, "sock_no_sendpage" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x6691b6aa, "skb_recv_datagram" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x377e0e52, "remove_proc_entry" },
	{ 0xad923548, "seq_printf" },
	{ 0x4b32b01a, "_copy_from_iter" },
	{ 0xf72971c5, "seq_puts" },
	{ 0x1c54fe36, "sock_gettstamp" },
	{ 0x15689f58, "_proc_mkdir" },
	{ 0x48e036ad, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xeb723a89, "kmalloc_trace" },
	{ 0xa9e2a7fb, "dev_kfree_skb_any_reason" },
	{ 0x74f068ab, "iov_iter_revert" },
	{ 0x691abc56, "proc_create_seq_private" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x23da6efc, "class_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x1e43297d, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xcf8c025f, "kmalloc_caches" },
	{ 0xd62ca02c, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9dbd3924, "release_sock" },
	{ 0xbded9ad2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "72894DF76814A706EC4A821");
MODULE_INFO(rhelversion, "9.6");
