#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x3c47e8f4, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xb1a080cd, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x6fd30d53, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xd7fc0aae, "");
SYMBOL_CRC(gss_mech_put, 0xcc63eff2, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x8cf4ac87, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xac42ed40, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7c4d776e, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x55d7955c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b43e09b, "vmemmap" },
	{ 0x3fb4712f, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x4d672886, "xdr_buf_from_iov" },
	{ 0xfc7c5c6f, "bpf_trace_run4" },
	{ 0xda302e5d, "xdr_stream_decode_opaque_auth" },
	{ 0xa46f66aa, "param_ops_uint" },
	{ 0xc07f661f, "xdr_write_pages" },
	{ 0x92574637, "rpc_shutdown_client" },
	{ 0xf25ebec, "auth_domain_find" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x69263425, "xdr_inline_decode" },
	{ 0x27878a06, "cache_create_net" },
	{ 0x724a18b0, "rpcauth_destroy_credcache" },
	{ 0xd494c058, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1d13bc49, "bpf_trace_run6" },
	{ 0xd694d376, "rpc_net_ns" },
	{ 0xeb49465b, "read_bytes_from_xdr_buf" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x5e45efdb, "rpc_wake_up" },
	{ 0x4ff01d52, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x147fc762, "sunrpc_cache_lookup_rcu" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x7f6f9cb4, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xfed4fa18, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x75266e58, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x5fae72f4, "xdr_truncate_decode" },
	{ 0xc92054e5, "rpcauth_unregister" },
	{ 0x95b52cf9, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x5fed6e7c, "__xdr_commit_encode" },
	{ 0xb42b54d2, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x9f8b014f, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x2a83fc24, "__put_cred" },
	{ 0xb474455c, "register_pernet_subsys" },
	{ 0x241e0d07, "trace_event_buffer_commit" },
	{ 0xc1353703, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xd67208e5, "rpc_release_client" },
	{ 0xe24b1d4d, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9220ef68, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfe614c, "svc_auth_register" },
	{ 0xf7c9aa5e, "xdr_stream_encode_opaque_auth" },
	{ 0x6054ea58, "trace_event_ignore_this_pid" },
	{ 0xcfdac757, "make_kuid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb534a32, "rpc_destroy_pipe_data" },
	{ 0x2af3dae7, "__free_pages" },
	{ 0x21065f6e, "rpc_pipe_generic_upcall" },
	{ 0x169b66b2, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x3b8cbe63, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x214d6ec3, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x1600eddc, "perf_trace_run_bpf_submit" },
	{ 0xda627c6b, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x29c6587e, "rpcauth_init_credcache" },
	{ 0xa8ddb376, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xe4165aec, "xdr_init_decode" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x51ebc861, "trace_event_reg" },
	{ 0xd0af75fa, "rpc_call_null" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x8493003d, "rpc_sleep_on_timeout" },
	{ 0xe0eee93d, "rpc_create" },
	{ 0x48f360b0, "bpf_trace_run1" },
	{ 0xf1d8ba91, "rpc_call_sync" },
	{ 0x7a2e6c93, "from_kuid" },
	{ 0x6fce1cad, "unregister_pernet_subsys" },
	{ 0x21966fa3, "rpc_queue_upcall" },
	{ 0xc4f47e7f, "xdr_encode_word" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x7edf1f7, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x7a846df5, "svcauth_unix_set_client" },
	{ 0x9a222616, "xdr_buf_subsegment" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xd47f7c46, "make_kgid" },
	{ 0x39121342, "rpc_remove_pipe_dir_object" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xc1627f77, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0xcc8737a6, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x22dbb912, "bpf_trace_run3" },
	{ 0xd3c09b0, "__put_net" },
	{ 0x68e755f7, "rpc_mkpipe_dentry" },
	{ 0xad42af23, "rpc_mkpipe_data" },
	{ 0xbed9ed05, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1a316615, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x3f3e04eb, "cache_register_net" },
	{ 0xebfc47e8, "init_user_ns" },
	{ 0x5020c919, "alloc_pages" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x8f704a04, "xdr_inline_pages" },
	{ 0x737009ef, "__folio_put" },
	{ 0x377e0e52, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x4847af87, "rpc_init_wait_queue" },
	{ 0x57bc248d, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf75d7bca, "rpc_unlink" },
	{ 0x86f15f3a, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x5f602d6a, "from_kuid_munged" },
	{ 0xeb723a89, "kmalloc_trace" },
	{ 0x137ef0fa, "rpcauth_init_cred" },
	{ 0x685cf111, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x30bef942, "cache_destroy_net" },
	{ 0x540b9e6a, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x518c83ec, "xdr_stream_pos" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x7e21035e, "sunrpc_cache_update" },
	{ 0x153f343, "xdr_truncate_encode" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xbeb02308, "rpc_destroy_wait_queue" },
	{ 0xcf8c025f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x343ab15f, "auth_domain_put" },
	{ 0x9741e06b, "rpcauth_unwrap_resp_decode" },
	{ 0x50a13a41, "rpcauth_register" },
	{ 0xbded9ad2, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "EF1622047D5C7B998952ED2");
MODULE_INFO(rhelversion, "9.6");
